/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package chat;

import java.io.DataInputStream;
import java.io.IOException;
import java.io.PrintStream;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author SebastianWagner
 */
public class Send {

    private InetAddress address;
    private Socket sock;
    private int port;

    public Send(String ip, int uport) {
        port = uport;
        try {
            address = InetAddress.getByName(ip); // Inet
        } catch (UnknownHostException ex) {
            Logger.getLogger(Send.class.getName()).log(Level.SEVERE, null, ex);
            ChatView.logTextArea.append("UnknownHostException");
        }


    }

    String sendMsg(String msg) {
        try {
            sock = new Socket(address, port);
        } catch (IOException ex) {
            Logger.getLogger(Send.class.getName()).log(Level.SEVERE, null, ex);
        }
        try {
//            System.out.println("Verbinden zu " + address + ": ");
            ChatView.logTextArea.append("Verbinden zu " + address + ": ");

            // Adresse in Varablentyp adress
//		Out.println(address.getHostAddress()); // gibt IP aus
//		Out.println("Verbindung hergestellt");

            DataInputStream input = new DataInputStream(sock.getInputStream()); // Datenannehmen
            PrintStream output = new PrintStream(sock.getOutputStream()); // Daten
            // senden
//            System.out.println("senden...");
            ChatView.logTextArea.append("senden... ");
            output.println(msg); // wird gesendet

//            System.out.print("empfangen...");
            ChatView.logTextArea.append("empfangen... ");
            // Es wird Zeile für Zeile ausgelesen, bis zum Ende (null)
            String line = input.readLine();
            String result = "";
            while (line != null) {
                result = result + line + "\n";
                line = input.readLine();
//                System.out.print(line + " ");
                ChatView.logTextArea.append(line + " ");
            }
            ChatView.logTextArea.append("\n");
            return result;
        } catch (UnknownHostException e) {
//		Out.println("Hostadresse unbekannt");
            ChatView.logTextArea.append("Hostadresse unbekannt");
            return null;
        } catch (IOException e) {
//		Out.println("IO Exception!");
            ChatView.logTextArea.append("IO Exception!");
            return null;
        }
    }
}
