/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package chat;

import java.io.DataInputStream;
import java.io.IOException;
import java.io.PrintStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.SocketAddress;
import java.util.Calendar;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author sebastian
 */

public class Server extends Thread  {

    private ServerSocket socket;
    private int port;

    public Server(int uport) {
        port = uport;
        this.start();
    }

    @Override public void run () {
        Logger.getLogger(Send.class.getName()).log(Level.INFO, "Server gestartet auf Port {0}", port);

        try {
            socket = new ServerSocket(port);
        } catch (IOException ex) {
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        }

        for (;;) {
            DataInputStream input = null;
            try {
                //            Out.println("Durchlauf");
                Socket clntSock = socket.accept(); //wartet auf eingehende Verbindung
                System.out.print("Client accepted! ");
                SocketAddress friendAddress = clntSock.getRemoteSocketAddress();
                System.out.println("Adresse: "+friendAddress.toString());

                input = new DataInputStream(clntSock.getInputStream());
                PrintStream output = new PrintStream(clntSock.getOutputStream());
                String s = input.readLine();

                System.out.println("Nachricht: " +s);
                output.println("Sent: " + s);
                ChatView.messagesTextArea.append("[" + Calendar.getInstance().get(Calendar.HOUR_OF_DAY) + ":");
                ChatView.messagesTextArea.append(Calendar.getInstance().get(Calendar.MINUTE) + "] <");
                ChatView.messagesTextArea.append(ChatView.partnerName + "> ");
                ChatView.messagesTextArea.append(s + "\n");

                clntSock.close();
            } catch (IOException ex) {
                Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
            } finally {
                try {
                    input.close();
                } catch (IOException ex) {
                    Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
                }
            }

        }

    }
}
